> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Required Agreements For Transition

> Resolves which onboarding agreement templates a role must sign to transition to a target employment type.

Required scope: `people:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-required-agreements-for-transition
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-required-agreements-for-transition:
    get:
      operationId: getRequiredAgreementsForTransition
      summary: Get Required Agreements For Transition
      x-toku-required-scope: people:read
      description: >-
        Resolves which onboarding agreement templates a role must sign to
        transition to a target employment type.


        Required scope: `people:read`
      parameters:
        - name: roleInOrgID
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: targetEmploymentType
          in: query
          required: true
          schema:
            type: string
            enum:
              - CONTRACTOR
              - EMPLOYEE
              - EX_EMPLOYEE
              - ADVISOR
              - SERVICE_PROVIDER
              - OTHER
        - name: contractorType
          in: query
          required: false
          schema:
            type: string
            enum:
              - CLIENT_MANAGED
              - TOKU_CONTRACTOR
              - AGENT_OF_RECORD
        - name: employmentServiceType
          in: query
          required: false
          schema:
            type: string
            enum:
              - EOR
              - PEO
              - PAYROLL_ONLY
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetRequiredAgreementsForTransitionResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetRequiredAgreementsForTransitionResponse:
      type: object
      properties:
        requiredAgreements:
          type: array
          items:
            type: object
            properties:
              templateKey:
                type: string
              displayName:
                type: string
            required:
              - templateKey
              - displayName
      required:
        - requiredAgreements
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
